3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php require_once('/etc/shadow');
Output for 5.3.0 - 5.4.8
Warning: require_once(/etc/shadow): failed to open stream: Permission denied in /in/Mk9Kd on line 2 Fatal error: require_once(): Failed opening required '/etc/shadow' (include_path='.:') in /in/Mk9Kd on line 2
Process exited with code 255.